Call Us: 1-908-509-1422

Posts Tagged OpenSSL

Heartbleed Vulnerability

Heartbleed Vulnerability

As many of you may have read, there is a vulnerability in the open source software used for encrypting websites, OpenSSL. Unfortunately, many sites are affected by this vulnerability and are working incredibly hard to patch the affected software. The vulnerability leaves masses of people at risk of having their passwords revealed. Although many banks and other financial institutions may not be affected, many people use the same passwords for many different sites. One site may reveal your password to another.

Read more